## density-fitness 1.0.0

=== debian/changelog ===
density-fitness (1.0.0-2) unstable; urgency=medium

  * [PATCH] revision.hpp: Patch to use SOURCE_DATE_EPOCH
    Closes: #978003

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 04 Jan 2021 08:20:20 +0100

density-fitness (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #976849)

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Tue, 08 Dec 2020 15:56:25 +0100
