=== debian/control ===
Source: density-fitness
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
Build-Depends: debhelper-compat (= 13),
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libcifpp-dev,
               libpdb-redo-dev,
               libzeep-dev,
               autoconf-archive,
               libgsl-dev,
               libclipper-dev,
               libnewuoa-dev,
               pkg-config
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/density-fitness
Vcs-Git: https://salsa.debian.org/med-team/density-fitness.git
Homepage: https://github.com/PDB-REDO/density-fitness
Rules-Requires-Root: no

Package: density-fitness
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcifpp1, libpdb-redo1, libzeep5
Description: Calculates per-residue electron density scores
 The program density-fitness calculates electron density metrics,
 for main- (includes Cβ atom) and side-chain atoms of individual residues.
 .
 For this calculation, the program uses the structure model in either PDB
 or mmCIF format and the electron density from the 2mFo-DFc and mFo-DFc maps.
 If these maps are not readily available, the MTZ file and model can be used
 to calculate maps clipper. Density-fitness support both X-ray and electron
 diffraction data.
 .
 This program is essentially a reimplementation of edstats, a program
 available from the CCP4 suite. However, the output now contains only the
 RSR, SRSR and RSCC fields as in edstats with the addition of EDIAm
 and OPIA and no longer requires pre-calculated map coefficients.
