=== debian/tests/control ===
Tests: run-unit-test
Depends: @, libcifpp-dev, libpdb-redo-dev
Restrictions: allow-stderr
