## density-fitness 1.0.3

=== debian/changelog ===
density-fitness (1.0.3-1) unstable; urgency=medium

  * New upstream release. 

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Fri, 04 Feb 2022 08:33:54 +0100

density-fitness (1.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Mon, 08 Nov 2021 11:15:58 +0100

density-fitness (1.0.0-4) unstable; urgency=medium

  * Force dependency on right libpdb-redo

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 03 Nov 2021 08:01:09 +0100

density-fitness (1.0.0-3) unstable; urgency=medium

  * Fix dependency on libzeep

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Tue, 02 Nov 2021 13:24:03 +0100
