=== debian/control ===
--- 
+++ 
@@ -6,13 +6,16 @@
 Build-Depends: debhelper-compat (= 13),
                libboost-iostreams-dev,
                libboost-program-options-dev,
-               libcifpp-dev,
-               libpdb-redo-dev,
+               libcifpp-dev (>= 2.0.0-1~),
+               libpdb-redo-dev (>= 2.0.1-3~),
                libzeep-dev,
-               autoconf-archive,
+               cmake,
                libgsl-dev,
                libclipper-dev,
                libnewuoa-dev,
+               mrc,
+               zlib1g-dev,
+               libbz2-dev,
                pkg-config
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/density-fitness
@@ -22,7 +25,11 @@
 
 Package: density-fitness
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcifpp1, libpdb-redo1, libzeep5
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libcifpp2,
+         libpdb-redo2,
+         libzeep5.1
 Description: Calculates per-residue electron density scores
  The program density-fitness calculates electron density metrics,
  for main- (includes Cβ atom) and side-chain atoms of individual residues.
