=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,5 @@
 
 %:
 	dh $@
-
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-revision
+	dh_auto_configure -- -DBUILD_SHARED_LIBS=ON
