=== debian/tests/control ===
Tests: run-unit-test
Depends: @, libcifpp-dev, libpdb-redo-dev (>= 1.0.2-3~)
Restrictions: allow-stderr
