=== debian/changelog ===
density-fitness (1.0.8-4) unstable; urgency=medium

  * Update pdb-redo dependency.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Sat, 04 Feb 2023 09:48:33 +0100

density-fitness (1.0.8-3) unstable; urgency=medium

  * Update pdb-redo dependency.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 02 Feb 2023 19:43:33 +0100

density-fitness (1.0.8-2) unstable; urgency=medium

  * Add dependency on libcifpp-dev, libpdb-redo-dev
    in order to have the example files installed.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 04 Jan 2023 21:39:02 +0100

density-fitness (1.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 23 Nov 2022 15:40:46 +0100
