=== debian/control ===
--- 
+++ 
@@ -4,19 +4,13 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
 Build-Depends: debhelper-compat (= 13),
-               libboost-iostreams-dev,
-               libboost-program-options-dev,
-               libcifpp-dev (>= 2.0.0-1~),
-               libpdb-redo-dev (>= 2.0.1-3~),
-               libzeep-dev,
-               cmake,
-               libgsl-dev,
-               libclipper-dev,
-               libnewuoa-dev,
-               mrc,
-               zlib1g-dev,
-               libbz2-dev,
-               pkg-config
+ libcifpp-dev (>= 5.0.5-2~),
+ libpdb-redo-dev (>= 3.0.5-2~),
+ libzeep-dev,
+ libmcfp-dev,
+ zlib1g-dev,
+ cmake,
+ mrc
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/density-fitness
 Vcs-Git: https://salsa.debian.org/med-team/density-fitness.git
@@ -26,10 +20,7 @@
 Package: density-fitness
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         libcifpp2,
-         libpdb-redo2,
-         libzeep5.1
+         ${misc:Depends}
 Description: Calculates per-residue electron density scores
  The program density-fitness calculates electron density metrics,
  for main- (includes Cβ atom) and side-chain atoms of individual residues.
