=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,3 @@
 
 %:
 	dh $@
-override_dh_auto_configure:
-	dh_auto_configure -- -DBUILD_SHARED_LIBS=ON
