=== debian/changelog ===
density-fitness (1.0.12-2) unstable; urgency=medium

  * Fix autopkgtest.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Sat, 26 Oct 2024 09:50:28 +0200

density-fitness (1.0.12-1) unstable; urgency=medium

  * New upstream.

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Sat, 26 Oct 2024 08:48:45 +0200
