=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
 Build-Depends: debhelper-compat (= 13),
- libcifpp-dev (>= 5.0.5-2~),
- libpdb-redo-dev (>= 3.0.5-2~),
+ libcifpp-dev (>= 7.0.7-2~),
+ libpdb-redo-dev (>= 3.1.5-3~),
  libzeep-dev,
  libmcfp-dev,
  zlib1g-dev,
