=== debian/changelog ===
density-fitness (1.1.2-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Minor fix for autopkgtest

  [ Maarten L. Hekkelman ]
  * New upstream version 1.1.2

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 29 Jan 2025 10:38:06 +0100
