=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
  libmcfp-dev,
  zlib1g-dev,
  cmake,
+ libcatch2-dev,
+ libeigen3-dev,
  mrc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/density-fitness
 Vcs-Git: https://salsa.debian.org/med-team/density-fitness.git
 Homepage: https://github.com/PDB-REDO/density-fitness
