## density-fitness 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,13 +22,14 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 # SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-cmake_minimum_required(VERSION 3.15)
+cmake_minimum_required(VERSION 3.25)
 
 # set the project name
-project(density-fitness VERSION 1.1.2 LANGUAGES CXX)
+project(density-fitness VERSION 1.1.3 LANGUAGES CXX)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
+include(FindOrFetch)
 include(GNUInstallDirs)
 include(CheckFunctionExists)
 include(CheckIncludeFile)
@@ -121,9 +122,13 @@
 endif()
 
 # libraries
-find_package(mcfp REQUIRED)
-find_package(zeep REQUIRED)
-find_package(pdb-redo 3.2.0 REQUIRED)
+find_package(nlohmann_json REQUIRED)
+
+# find_package(cifpp 7 REQUIRED)
+
+find_or_fetch_package(mcfp VERSION 1.3.5 GIT_REPOSITORY https://github.com/mhekkel/libmcfp GIT_TAG b6c62a3)
+find_or_fetch_package(cifpp VERSION 7 GIT_REPOSITORY https://github.com/PDB-REDO/libcifpp.git GIT_TAG v7.0.9 VARIABLES "CIFPP_SHARE_DIR")
+find_or_fetch_package(pdb-redo VERSION 3.2.0 GIT_REPOSITORY https://github.com/PDB-REDO/libpdb-redo.git GIT_TAG v3.2.1)
 
 add_executable(density-fitness
 	${PROJECT_SOURCE_DIR}/src/density-fitness.cpp
@@ -134,7 +139,7 @@
 endif()
 
 target_include_directories(density-fitness PRIVATE pdb-redo::pdb-redo ${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR})
-target_link_libraries(density-fitness PRIVATE pdb-redo::pdb-redo mcfp::mcfp zeep::zeep)
+target_link_libraries(density-fitness PRIVATE pdb-redo::pdb-redo mcfp::mcfp nlohmann_json::nlohmann_json)
 
 install(TARGETS ${PROJECT_NAME}
 	RUNTIME DESTINATION ${BIN_INSTALL_DIR}
