=== debian/changelog ===
density-fitness (1.1.3-1) unstable; urgency=medium

  * New upstream version 1.1.3

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Tue, 01 Apr 2025 10:44:49 +0200
