=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
  libcifpp-dev (>= 7.0.7-2~),
  libpdb-redo-dev (>= 3.1.5-3~),
- libzeep-dev,
+ nlohmann-json3-dev,
  libmcfp-dev,
  zlib1g-dev,
  cmake,
