=== debian/changelog ===
density-fitness (1.1.4-2) unstable; urgency=medium

  * less strict testing on i386

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Sun, 07 Sep 2025 19:38:08 +0200

density-fitness (1.1.4-1) unstable; urgency=medium

  * New upstream version 1.1.4

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Wed, 02 Apr 2025 11:03:10 +0200
