=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
 Build-Depends: debhelper-compat (= 13),
  libcifpp-dev (>= 7.0.7-2~),
- libpdb-redo-dev (>= 3.1.5-3~),
+ libpdb-redo-dev (>= 3.3.0-1~),
  nlohmann-json3-dev,
  libmcfp-dev,
  zlib1g-dev,
