=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/density-fitness-$1\.tar\.gz/ \
  https://github.com/PDB-REDO/density-fitness/tags .*/v?(\d\S+)\.tar\.gz
