=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for tests
 
-find_or_fetch_package(Catch2 VERSION 3 GIT_REPOSITORY https://github.com/catchorg/Catch2.git GIT_TAG v3.8.0)
+find_or_fetch_package(Catch2 VERSION 3 GIT_REPOSITORY https://github.com/catchorg/Catch2.git GIT_TAG v3.4.0)
 
 add_executable(unit-test-density-fitness
 	${PROJECT_SOURCE_DIR}/test/unit-test-density-fitness.cpp
