=== debian/changelog ===
density-fitness (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target.
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Simplify salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Tue, 03 Feb 2026 09:10:00 +0100

density-fitness (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 20 Nov 2025 11:32:49 +0100

density-fitness (1.1.4-3) unstable; urgency=medium

  * update dependencies

 -- Maarten L. Hekkelman <maarten@hekkelman.com>  Thu, 20 Nov 2025 11:20:01 +0100
