=== debian/control ===
--- 
+++ 
@@ -1,23 +1,19 @@
 Source: density-fitness
 Section: science
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Maarten L. Hekkelman <maarten@hekkelman.com>
 Build-Depends: debhelper-compat (= 13),
- libcifpp-dev (>= 7.0.7-2~),
- libpdb-redo-dev (>= 3.3.0-1~),
+ libpdb-redo-dev (>= 3.3.1-1~),
  nlohmann-json3-dev,
  libmcfp-dev,
- zlib1g-dev,
  cmake,
  libcatch2-dev,
  libeigen3-dev,
  mrc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/density-fitness
 Vcs-Git: https://salsa.debian.org/med-team/density-fitness.git
 Homepage: https://github.com/PDB-REDO/density-fitness
-Rules-Requires-Root: no
 
 Package: density-fitness
 Architecture: any
